<?php
// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) {
	exit;
}
/*
 * social media hyper links custom option
 *
 * @threeby
 *
 * Admin Options for threeby 
 * File Name: threeby-options.php
 */
$threeby_theme_options = array(
    'phonenumber' => '',
    'facebookurl' => '',
    'twitterurl'  => '',
    'googleurl'   => '',
    'backgrnd'    => '',
    'threeby_confirm'  => '',
    'threeby_credits'  => '',
    'threeby_new_text' => ''
);

add_action( 'admin_menu', 'threeby_options_add_page' ); 
function threeby_options_add_page() {
    add_theme_page( 'ThreeBy Options', 'Theme Options', 'edit_theme_options', 'threeby-options', 'threeby_options_page' );
}
// connect stylesheet to options page
function threeby_add_init() {
    wp_enqueue_style( 'threeby-admin-style', get_template_directory_uri() . '/include/admin-style.css', false, '1.1' );
    }
add_action( 'admin_enqueue_scripts', 'threeby_add_init' );

function threeby_register_settings() {
        register_setting( 'threeby-options', 'threeby_theme_options', '');
    } 
    add_action( 'admin_init', 'threeby_register_settings' );
/*
 * color picker add on
 */
add_action( 'admin_enqueue_scripts', 'threeby_add_color_picker' );
function threeby_add_color_picker() {
    // Add the color picker css file       
    wp_enqueue_style( 'wp-color-picker' ); 
    // Include our custom jQuery file with WordPress Color Picker dependency
    wp_enqueue_script( 'wp-color-picker-script', get_template_directory_uri() . '/js/custom-script.js', array( 'wp-color-picker' ), false, true );
}

function threeby_options_page() {
   global $threeby_theme_options;
?>
<div class="options-container">
    <figure> <h1> Options Page </h1>  </figure>
	<h2>Threeby Theme Settings</h2>
	    <p>Update Sidebar Background Color and add your Personal Links.</p>
	        <form action="options.php" method="POST">
            <?php settings_fields( 'threeby-options' ); ?>
            <?php //do_settings_sections( 'threeby-options' ); 
            $options = get_option( 'threeby_theme_options' );
            ?>
            <hr>         
                <h3>Add your social media links here</h3>
                    <table class="options-table">
        <tr><td><label>Phone Number</label> </td><td> 
<input type="text" name="threeby_theme_options[phonenumber]" size="40" value="<?php echo $options['phonenumber']; ?>" /></td></tr>
        <tr><td><label>Facebook</label> </td><td>
        <input type="text" name="threeby_theme_options[facebookurl]" size="40" value="<?php echo $options['facebookurl']; ?>" /></td</tr>
        <tr><td><label>Twitter</label> </td><td>
        <input type="text" name="threeby_theme_options[twitterurl]" size="40" value="<?php echo $options['twitterurl']; ?>" /></td</tr>
        <tr><td><label>Google</label> </td><td>
        <input type="text" name="threeby_theme_options[googleurl]" size="40" value="<?php echo $options['googleurl']; ?>" /></td</tr> </table>
<hr>
        <h3>Color for Sidebar-Left Background can be set here</h3>
        <table class="options-table"><tr><td><label>Change Sidebar-Left Background Color</label>
<input type="text" name="threeby_theme_options[backgrnd]" size="20" value="<?php echo $options['backgrnd']; ?>" class="threeby-color-field" /></td></tr>
                    </table>
                        <hr>         
                            <h3>Remove Title Date and Metadata from Home Page Article</h3>
                                <table class="options-table">
        <tr><td>
        <h4>Type in <code>none</code> to confirm. OR delete <code>none</code> to display.</h4> 
        <input name="threeby_theme_options[threeby_confirm]" size="10" type="text" id="threeby_confirm"  
        value="<?php echo $options['threeby_confirm']; ?>" /></td></tr>
        <tr><td> You may write title in manually at the beginning of the lead article.<br>
Option provides a way to remove the word home from a static home page.</td></tr>
                                </table>
                                    <hr>
                                        <h3>Check box to remove credits from theme footer section.</h3>
                                            <?php  if ( !empty( $options['threeby_credits'] )) {
                                            $checked = $options['threeby_credits'];
                                            $current = "checked = checked"; } else { $current = ""; }
                                            ?>
                <table><tr><td><input name="threeby_theme_options[threeby_credits]" id="threeby_credits" type="checkbox" 
                value="1" <?php echo $current; ?> />
                <small>You do not have to leave footer credits but it would be nice.</small></td></tr>
                <tr><td><p>Replace the footer credit with your own text here</p>
                <input id="threeby_new_text" name="threeby_theme_options[threeby_new_text]" size="40" type="text" 
value="<?php if (!empty($options['threeby_new_text'])) echo $options['threeby_new_text']; ?>" /></td></tr>
                </table>

   <?php submit_button(); ?>
                </form>
</div>
<?php 
}

function threeby_validate_options( $input ) {
        // Strip all tags from the text field, to avoid vulnerablilties like XSS
        $input['phonenumber']  = wp_filter_post_kses( $input['phonenumber'] );
        $input['facebookurl']  = wp_filter_post_kses( $input['facebookurl'] );
        $input['twitterurl']   = wp_filter_post_kses( $input['twitterurl'] );
        $input['googleurl']    = wp_filter_post_kses( $input['googleurl'] );
        $input['backgrnd']     = wp_filter_post_kses( $input['backgrnd'] );
        $input['threeby_confirm']  = wp_filter_post_kses( $input['threeby_confirm'] );
        $input['threeby_credits']  = wp_filter_post_kses( $input['threeby_credits'] );
        $input['threeby_new_text'] = sanitize_text_field( $input['threeby_new_text'] );
           return $input;
}

function threeby_styles_method() {
    wp_enqueue_style(
    'custom-style',
    get_template_directory_uri() . '/include/custom.css'
    );        
$options = get_option( 'threeby_theme_options' );            
            $custom_css = "
                #right-sidebar{
                    background: {$options['backgrnd']};
        }";
        wp_add_inline_style( 'custom-style', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'threeby_styles_method' );

function threeby_styles_method_two() {
    wp_enqueue_style(
    'custom-style-two',
    get_template_directory_uri() . '/include/custom.css'
    );        
$options = get_option( 'threeby_theme_options' );
             $custom_css_two = "
                 body.home header.entry-header {
                 display: {$options['threeby_confirm']};
        }";           
        wp_add_inline_style( 'custom-style-two', $custom_css_two );
}
add_action( 'wp_enqueue_scripts', 'threeby_styles_method_two' );
?>